package thyyxxk.webserver.entity.outpatient.interactive.comments.request;

import lombok.Data;

@Data
public class CommentInquiry {
    private String doctorName;
    private Integer commentLevel;
    private String startTime;
    private String endTime;
    private Integer pageNum;
    private Integer pageSize;
    private Integer deleted;
    private Boolean onlyValidComments;
    private Boolean isForExport;

    public Integer getPageNum() {
        return null == pageNum ? 1 : pageNum;
    }

    public Integer getPageSize() {
        return null == pageSize ? 20 : pageSize;
    }

    public Boolean getOnlyValidComments() {
        return null != onlyValidComments && onlyValidComments;
    }

    public Boolean getForExport() {
        return null != isForExport && isForExport;
    }
}
